Installera native Shockwave Player på Ubuntu och derivat

Shockwave

Inledning

Adobe Shockwave (eller bara Shockwave) är en komplement till webbläsare som möjliggör reproduktion av interaktivt innehåll som juegos, presentationer, träningsapplikationer etc., tidigare kallat Macromedia Shockwave.

När jag gjorde Internet-sökningar kunde jag inte hitta övertygande resultat som gjorde att jag kunde ha allt i en enda webbläsare eftersom förslaget var att installera Wine och sedan versionen av Firefox för Windows (det låter äckligt vet jag, men det är det), så jag kom över något som jag inte har sett skriven någonstans.

Hur installerar jag det?

Enkelt, för att utföra installationen i Ubuntu och derivat, fortsätt från en terminal för att installera ett paket som heter «Rörljus«. För att göra detta från en terminal kör vi följande kommandon:

sudo add-apt-repository ppa: pipelight / stable sudo apt-get update sudo apt-get install --install-rekommenderar pipelight-multi sudo pipelight-plugin --uppdatering

Aktivera plugin

För att aktivera Shockwave i webbläsare fortsätter vi med följande kommandon i en terminal:

sudo pipelight-plugin - unlock shockwave sudo pipelight-plugin - aktivera shockwave sudo pipelight-plugin --create-mozilla-plugins
Vi har redan installerat Shockwave Player fullt fungerande

För att kontrollera att allt är bra gjort ... öppnar vi till exempel Firefox och går till avsnittet "Plugins" i tillägg och ser om det är aktiverat:

snap2

Och om vi vill testa om det fungerar ... går vi till den officiella webbplatsen där vi kan utföra testet. Åtkomst via följande knapp:

Prova Shockwave Player

Och för att använda Shockwave klickar vi på:

snäppa


Innehållet i artikeln följer våra principer om redaktionell etik. Klicka på för att rapportera ett fel här.

16 kommentarer, lämna din

Lämna din kommentar

Din e-postadress kommer inte att publiceras.

*

*

  1. Ansvarig för uppgifterna: Miguel Ángel Gatón
  2. Syftet med uppgifterna: Kontrollera skräppost, kommentarhantering.
  3. Legitimering: Ditt samtycke
  4. Kommunikation av uppgifterna: Uppgifterna kommer inte att kommuniceras till tredje part förutom enligt laglig skyldighet.
  5. Datalagring: databas värd för Occentus Networks (EU)
  6. Rättigheter: När som helst kan du begränsa, återställa och radera din information.

  1.   Jorge sade

    Det är bra att veta det, men låt oss inte vara diskriminerande med dem vi har andra webbläsare, som Chrome. Hur skulle det vara i det här fallet? : /

    1.    lozanotux sade

      Jorge, om PIPELIGHT fungerar med Chrome och Chromium, är den enda skillnaden för dem som använder Firefox, inkludera alltid raden "–create-mozilla-plugins" som ska installeras i webbläsaren.

      Jag hade ingen chans att testa det i Chrome, om du har problem så låt mig veta och vi följer upp det och får reda på hur man får det att fungera (vilket säkert är ett kommando som liknar Firefox) 🙂

      Tack och lycka till!

      1.    Jorge sade

        Jag fick precis reda på att plugin-programmet har NPAPI-stöd, vilket avbröts i Chrome / Chromium sedan release 34. Det fungerar då inte.

        Tack detsamma.

      2.    roque jose sade

        I Chrome använder den ett annat integrerat plugin, det är inte nödvändigt att ladda något. Chromium har slut på Flash-stöd, och Firefox kommer också att släppa det snart.

  2.   cristian sade

    Jag har inte sett någonting som använder shockwave i flera år #elaporte

    1.    anonym sade

      Jag förstår inte varför människor och distroer fortfarande insisterar på att lägga in sina slutna binära paket som laddar upp buggar med utökad privilegium två gånger i veckan.
      Allt detta för att kunna installera det i användarens hem utan att ge rotbehörigheter till den enda cancer som vi fortfarande (tyvärr) behöver.

      De går till nedladdningssidan för flashplayer:
      https://get.adobe.com/es/flashplayer/
      De laddar ner tar.gz för en annan Linux, packar upp den, skapar plugins-mappen i sin dolda mozilla-mapp i sitt hem
      $ mkdir -p .mozilla / plugins
      och kopiera filen libflashplayer.so till plugins-mappen.
      Det är det ... utan att ge root-behörigheter till den skabb.

      1.    anonym sade

        Tja, jag tror att jag hade fel, jag var inte en flashplayer ... det händer när man har bråttom och inte läser noggrant.
        Men kanske min form fungerar för denna chockvåg, jag måste göra testet.
        Ledsen för bullret och min förvirring mellan plugins.

      2.    ZombieAlive sade

        Det är det mest framgångsrika jag har hört, distributionerna behöver bara ha grunderna och de grundläggande faktorerna som fungerar med systemet. Det bästa sättet för användarapplikationer är att vara hemma. Att det finns installatörer som Steam eller många fler appar som installerar allt i hemmet.

  3.   joaco sade

    Nej, bra, äntligen finns det ett sätt att installera det. Synd att jag bär en fedora, finns det ett sätt att göra det där?

    1.    lozanotux sade

      Jag gillar inte den här bloggen ... det låter mig inte lägga min kommentar eftersom det är teoretiskt "skräppost" som ilska genererade detta: /

      Tja, angående installationen i Fedora ... vägled dig själv med den här länken 😉
      http://pipelight.net/cms/install/installation-fedora.html

  4.   syndare sade

    BRA ATT VETA !!! 🙂
    ... Men någon använder fortfarande shockwave ????

  5.   dmrx912 sade

    I debian uppdateras det inte förvaret. Det går inte att komma åt det. Finns det något annat sätt att göra det.

  6.   UNOWOS sade

    Jag är en ståndare på den här sidan (och när den var "låt oss använda Linux").
    Jag uppskattar verkligen den här typen av artiklar. Jag är inte purist, men jag försöker.
    Det är sant att det är en historia att vara uppdaterad med slutna paket, men jag tycker att det är intressant att det kan öppna stängda dörrar (till exempel blixt och dess föråldrade Linux 11.2) och kunna ha 17.0.

    Jag kommenterar aldrig, men idag tror jag att jag har motiverats att kommentera.
    Tack för ditt ovillkorliga bidrag till webben.

  7.   foton sade

    Hallå
    Jag installerade det och ingenting hände, regissörsprogrammet fungerar fortfarande inte.
    Jag har chockvåg installerat, libfreshwrapper-pepperflash.so
    Kan det vara så att jag måste ta bort det?

  8.   victor sade

    Det fungerar inte för mig eftersom jag gör för att ångra allt jag installerade enligt stegen du tackade mig

  9.   Camilo sade

    Hallå
    Jag har testat på en acer-bärbar dator med xubuntu 14.04 på den här sidan
    https://www.pixton.com/es/create/comic/pkumvwa7
    och i testbloggen, men det har inte fungerat för mig.
    Firefox-version
    ii Firefox 49.0.2 + build2-0ubuntu0.14.04.1 amd64 Säker och enkel webbläsare från Mozilla
    🙁 Synd att jag var intresserad av det här ämnet, vi driver ett utbildningscenter och många studenter använder den här webbplatsen ...
    Vad ska man titta på?